Fleetrun
Hecterra
NimBus
Other apps
Wialon for Android/iOS
Logistics
Wialon Local
Wialon Hosting
Distance Tag
WiaTag
Configurator
Wialon Local
2104
en
en ru es
Contents
How to Upgrade Wialon Local from v1704 to v1804
  • upgrading_wialon_local

This guide describes the sequence of steps you should follow if you want to upgrade Wialon Local from version 1704 to version 1804.

In order for Wialon local version 1704 and above to function correctly, the Node.js 6.x package is required. Support for older versions of Node.js, starting with the release of 1804, is discontinued.

The official Debian 8 and Debian 9 repositories include earlier versions of packages. When installing from our distribution package, the required Node.js version is installed automatically.

  1. Upgrade Node.js to the version 6.x if you receive a notification that the version of Node.js that is used on your server is out of date. To do this, follow the steps below.
    • Log in to the terminal on behalf of the main user (root) and run the following commands:

      cd /home/wialon/wlocal/
      service wlocal stop
      ./adf_script stop
      apt-get install -y curl
      curl -sL https://deb.nodesource.com/setup_6.x | bash -
      apt-get install -y nodejs
      npm -g install forever
      npm install
      chown -R wialon:wialon /home/wialon/
      service wlocal restart
      
    • Check the availability of your sites after they restart.

    To update Node.js, you can also contact technical support. In this case, in the letter specify SSH credentials (IP, login and password) to access the server console.

    The instruction is also located on the official site of the Node.js developer.

  2. Install the version 1804 of Wialon Local .



Thank you for your feedback!